#
# spec file for package wikipediafs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wikipediafs
Version:        0.4
Release:        1.1
Summary:        Virtual File System to read and edit Wikipedia/Mediawiki Articles
License:        GPL-2.0
Group:          System/Filesystems
Url:            http://wikipediafs.sourceforge.net
Source:         http://prdownloads.sourceforge.net/wikipediafs/wikipediafs-%{version}.tar.gz
BuildRequires:  python-devel
Provides:       fuse-wikipediafs = %{version}-%{release}
Provides:       python-wikipediafs = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
BuildArch:      noarch

%description
WikipediaFS is a mountable Linux virtual file system that allows to read and
edit articles from Wikipedia (or any Mediawiki-based site) as if they were
real files.

It is thus possible to view and edit articles using your favourite
text-editor. Text-editors tend to be more convenient than a simple browser
form when it comes to editing large texts and they generally include useful
features such as Mediawiki syntax highlighting and spell checking.

%prep
%setup -q 

%build
python ./setup.py build

%install
python ./setup.py install \
    --prefix="%{_prefix}" \
    --root=%{buildroot} \
    --record-rpm=files.lst

%files -f files.lst
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYRIGHT HACKING NEWS README TODO

%changelog
* Wed Aug 20 2014 dsterba@suse.cz
- Update to 0.4
  - If a write attempt fails, try to log back in once and writing again,
    instead of immediately failing.
  - Additional debugging under the debug log level.
  - Support for the new login controls for MediaWiki 1.15.3.
- clean spec
- Removed patches:
  * wikipediafs-fix_version.patch
